Groovy Documentation

## org.codehaus.groovy.classgen
[Java] Class BytecodeSequence

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.classgen.BytecodeSequence

    public class BytecodeSequence
    extends Statement

This class represents a sequence of BytecodeInstructions or ASTNodes. The evaluation is depending on the type of the visitor.

See Also:
  BytecodeInstruction
  ASTNode

Constructor Summary
`BytecodeSequence(java.util.List instructions)`
`BytecodeSequence(BytecodeInstruction instruction)`

Method Summary
`java.util.List` | `getInstructions()`
`void` | `visit(GroovyCodeVisitor visitor)` Delegates to the visit method used for this class.

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BytecodeSequence

    public BytecodeSequence(java.util.List instructions)

### BytecodeSequence

    public BytecodeSequence(BytecodeInstruction instruction)

Method Detail

### getInstructions

    public java.util.List getInstructions()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Delegates to the visit method used for this class. If the visitor is a ClassGenerator, then ClassGenerator.visitBytecodeSequence is called with this instance. If the visitor is no ClassGenerator, then this method will call visit on each ASTNode element sorted by this class. If one element is a BytecodeInstruction, then it will be skipped as it is no ASTNode.
  Parameters:
    `visitor` - the visitor
  See Also:
    ClassGenerator

Groovy Documentation